Namespace Methods.IDB

    Public MustInherit Class BaseAttributeValue

    End Class

    ''' <summary>
    ''' Attribute values supplied by the user
    ''' </summary>
    Public Class UserAttributeValue
        Public Property Id As Integer
        Public Property Name As String
        Public Property Values As List(Of String)
        Public Property ControlName As String

        Public Overrides Function ToString() As String
            Return Name
        End Function

        Public Overrides Function GetHashCode() As Integer
            Return Name.GetHashCode()
        End Function
    End Class

    Public Class AutoAttributeValue
        Inherits BaseAttributeValue
    End Class

    Public Class SystemAttributeValue
        Inherits BaseAttributeValue
    End Class

End Namespace